> ## Documentation Index
> Fetch the complete documentation index at: https://docs.fourthwall.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List shops attached to the agency

<Warning>
  This endpoint is in beta and subject to change.
</Warning>


## OpenAPI

````yaml openapi/channel-api.json GET /channel-api/v1.0/shops
openapi: 3.1.0
info:
  title: Fourthwall APIs
  description: Service used for management of orders, carts, and payments.
  termsOfService: https://fourthwall.com/terms-of-service
  contact:
    name: Backend team
    url: https://fourthwall.com
    email: backend@fourthwall.com
  version: unspecified
servers:
  - url: https://api.fourthwall.com
    description: Production server
security: []
externalDocs:
  description: OpenAPI documentation
  url: https://docs.fourthwall.com
paths:
  /channel-api/v1.0/shops:
    get:
      tags:
        - Shops
      summary: List shops attached to the agency
      operationId: getShops
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/com.fourthwall.app.channel.shop.model.GetShopsXResponse
components:
  schemas:
    com.fourthwall.app.channel.shop.model.GetShopsXResponse:
      type: object
      properties:
        shops:
          type: array
          description: Shops attached to the agency this channel is credentialed for.
          items:
            $ref: >-
              #/components/schemas/com.fourthwall.app.channel.shop.model.ShopSummaryXResponse
      required:
        - shops
      title: Get Shops X Response
    com.fourthwall.app.channel.shop.model.ShopSummaryXResponse:
      type: object
      properties:
        shopId:
          type: string
          description: Shop id.
        name:
          type: string
          description: Shop display name.
      required:
        - name
        - shopId
      title: Shop Summary X Response

````